> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dynamic QR code

> Gets a dynamic QR code by ID



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashin/pix/qrcodes/{id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/pix/qrcodes/{id}:
    get:
      tags:
        - Dynamic QR Codes
      summary: Get a specific dynamic QRCode
      description: Gets a specific dynamic QRCode
      operationId: TrioFoundationWeb.Banking.Cashin.DynamicBrcodeController.show
      parameters:
        - description: QRCode ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DynamicQRCodeResponse'
          description: Dynamic
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    DynamicQRCodeResponse:
      description: Response schema for a single dynamic QRCode
      example:
        data:
          allow_change_the_amount_on_payment: true
          amount:
            amount: 10
            currency: BRL
          counterparty_bank_accounts:
            - branch: '0001'
              digit: '12345'
              ispb: '00000001'
              number: '12345'
              type: checking
          counterparty_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          description: QRCode 1
          expiration_datetime: '2026-07-02T19:00:14.719681Z'
          external_id: external_id
          hash: '123'
          id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          image: 12389HV8AHRIKVHQ374HFULAGLE8FAH0H4F890QHO2HEFOA7EUG8FU
          origin_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
          origin_type: none
          stages:
            - id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
              status: created
              timestamp: '2026-07-02T19:00:14.719682Z'
          status: created
          timestamp: '2026-07-02T19:00:14.719672Z'
          virtual_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
      properties:
        data:
          $ref: '#/components/schemas/DynamicQRCodeData'
      title: DynamicQRCodeResponse
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    DynamicQRCodeData:
      description: Response schema for a single dynamic QRCode
      example:
        allow_change_the_amount_on_payment: true
        amount:
          amount: 10
          currency: BRL
        counterparty_bank_accounts:
          - branch: '0001'
            digit: '12345'
            ispb: '00000001'
            number: '12345'
            type: checking
        counterparty_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        description: QRCode 1
        expiration_datetime: '2026-07-02T19:00:14.719681Z'
        external_id: external_id
        hash: '123'
        id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        image: 12389HV8AHRIKVHQ374HFULAGLE8FAH0H4F890QHO2HEFOA7EUG8FU
        origin_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
        origin_type: none
        stages:
          - id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
            status: created
            timestamp: '2026-07-02T19:00:14.719682Z'
        status: created
        timestamp: '2026-07-02T19:00:14.719672Z'
        virtual_account_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
      properties:
        allow_change_the_amount_on_payment:
          description: Allow change amount?
          type: boolean
        amount:
          description: Amount value of the dynamic QRCode
          properties:
            amount:
              description: Amount integer
              type: integer
            currency:
              description: Amount currency string
              type: string
          type: object
        counterparty_bank_accounts:
          description: Counterparty bank accounts
          items:
            $ref: '#/components/schemas/DynamicQRCodeCounterpartyBankAccount'
          type: array
        counterparty_id:
          description: Counterparty ID of the dynamic QRCode
          format: uuid
          type: string
        description:
          description: Description of the dynamic QRCode
          type: string
        expiration_datetime:
          description: Expiration Datetime
          format: date-time
          type: string
        external_id:
          description: External ID of the dynamic QRCode
          type: string
        hash:
          description: Hash of the dynamic QRCode
          type: string
        id:
          description: Unique identifier
          format: uuid
          type: string
        image:
          description: Dynamic QRCode image
          type: string
        stages:
          description: Dynamic QRCode stages
          items:
            $ref: '#/components/schemas/QRCodeStagesList'
          type: array
        timestamp:
          description: Dynamic QRCode timestamp
          format: date-time
          type: string
        virtual_account_id:
          description: Virtual account ID
          format: uuid
          type: string
      title: DynamicQRCodeData
      type: object
    DynamicQRCodeCounterpartyBankAccount:
      description: Counterparty bank account related to a dynamic QRCode
      properties:
        branch:
          description: Counterparty bank account branch
          type: string
        digit:
          description: Counterparty bank account digit
          type: string
        ispb:
          description: Counterparty bank account ISPB
          type: string
        number:
          description: Counterparty bank account number
          type: string
        type:
          description: Counterparty bank account type
          type: string
      title: DynamicQRCodeCounterpartyBankAccount
      type: object
    QRCodeStagesList:
      description: List of stages within a dynamic QRCode
      items:
        $ref: '#/components/schemas/DynamicQRCodeStage'
      title: QRCodeStagesList
      type: array
    DynamicQRCodeStage:
      description: Stage of a dynamic QRCode
      properties:
        id:
          description: Stage ID
          format: uuid
          type: string
        timestamp:
          description: Stage timestamp
          format: date-time
          type: string
        type:
          description: Stage type
          enum:
            - created
            - confirmed
            - settled
            - refunded
            - reversed
            - failed
          type: string
      title: DynamicQRCodeStage
      type: object

````